### Struct

# EDataServer Collator

since: 3.12

#### Description [src]

    struct ECollator {
      /* No available fields */
    }

An opaque object used for locale specific string comparisons and sort ordering.

Available since: 3.12

#### Constructors

###### e_collator_new

Creates a new `ECollator` for the given `locale`, the returned collator should be freed with e_collator_unref().

since: 3.12

###### e_collator_new_interpret_country

Creates a new `ECollator` for the given `locale`, the returned collator should be freed with e_collator_unref().

since: 3.12

#### Functions

###### e_collator_error_quark

No description available.

#### Instance methods

###### e_collator_collate

Compares `str_a` with `str_b`, the order of strings is determined by the parameters of `collator`.

since: 3.12

###### e_collator_generate_key

Generates a collation key for `str`, the result of comparing two collation keys with `strcmp()` will be the same result of calling `e_collator_collate()` on the same original strings.

since: 3.12

###### e_collator_generate_key_for_index

Generates a sort key for the given alphabetic `index`.

since: 3.12

###### e_collator_get_index

Checks which index, as determined by e_collator_get_index_labels(), that `str` should sort under.

since: 3.12

###### e_collator_get_index_labels

Fetches the displayable labels and index positions for the active alphabet.

since: 3.12

###### e_collator_ref

Increases the reference count of `collator`.

since: 3.12

###### e_collator_unref

Decreases the reference count of `collator`. If the reference count reaches 0 then the collator is freed.

since: 3.12